<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/usuarios.php");
$nombrepagina = "MODIFICAR CONTACTOS";
encabezado($target);
$user=$_SESSION['validar'];
$tamano_pagina=10;
$_SESSION['tam']=$tamano_pagina;
$pagina = $_GET["pagina"];


function ConsultaContactos($inicio,$tamano_pagina,$suc,$perfil,$add){
	$conexionObj2 = new conexion();
	$conexionObj2->conectarse();
	$rst_select_lotes=$conexionObj2->consultar("SELECT u.id_usuario, u.nombre, u.direccion, u.usuario, 
				u.id_sucursal, s.nombre as nom_suc,c.nombre as nom_cli,u.estado, u.id_perfil, u.telefono, u.password  
				FROM usuarios as u inner join sucursales as s on (u.id_sucursal=s.id_sucursal)
				inner join clientes as c on (u.id_cliente=c.id_cliente)
			   $add order by u.id_usuario LIMIT $inicio,$tamano_pagina");
	$i=0;
	while($row_select_lotes=mysql_fetch_array($rst_select_lotes)){
		$i++;
		echo "<tr class=miTable_tr>";
		echo "<td valign=top class=miTable_td>".$row_select_lotes['nombre']."</td>";
		echo "<td valign=top class=miTable_td nowrap>".$row_select_lotes['direccion']."</td>";
		echo "<td valign=top class=miTable_td>".$row_select_lotes['usuario']."</td>";
		echo "<td valign=top class=miTable_td nowrap>".$row_select_lotes['nom_suc']."</td>";	
		echo "<td valign=top class=miTable_td nowrap>".$row_select_lotes['nom_cli']."</td>";	
		echo "<td valign=top class=miTable_td>";
		if($row_select_lotes['estado']==1){ print "Activo";}else{ print "Inactivo"; } echo "</td>";
		echo "<td valign=top class=miTable_td>";
		if($row_select_lotes['id_perfil']==5){ print "Contacto";}		
		echo "</td>";
		echo "<td valign=middle class=miTable_td>";
					?>
<a href='ejecuta_contacto.php?id_usuario=<? echo "".$row_select_lotes['id_usuario']."";?>&tipo=1' onClick="window.open('ejecuta_contacto.php?id_usuario=<? echo "".$row_select_lotes['id_usuario']."";?>&tipo=1&nombre=<? echo "".$row_select_lotes['nombre']."";?>&dir=<? echo "".$row_select_lotes['direccion']."";?>&tel=<? echo "".$row_select_lotes['telefono']."";?>&usuario=<? echo "".$row_select_lotes['usuario']."";?>&password=<? echo "".$row_select_lotes['password']."";?>&estado=<? echo "".$row_select_lotes['estado']."";?>&perfil2=<? echo "".$row_select_lotes['id_perfil']."";?>&suc=<? echo "".$row_select_lotes['id_sucursal']."";?>', 'window','width=350,height=500'); return false">
<center><img src='imagenes/reload_.gif'></center></a></td>
<td valign=middle width='50' class=miTable_td>
<? if($row_select_lotes['id_perfil']!=1){ ?>
<a href='ejecuta_contacto.php?id_usuario=<? echo "".$row_select_lotes['id_usuario']."";?>&tipo=2' onClick="window.open('ejecuta_contacto.php?id_usuario=<? echo "".$row_select_lotes['id_usuario']."";?>&tipo=2&nombre=<? echo "".$row_select_lotes['nombre']."";?>&dir=<? echo "".$row_select_lotes['direccion']."";?>&tel=<? echo "".$row_select_lotes['telefono']."";?>&usuario=<? echo "".$row_select_lotes['usuario']."";?>&password=<? echo "".$row_select_lotes['password']."";?>&estado=<? echo "".$row_select_lotes['estado']."";?>&perfil2=<? echo "".$row_select_lotes['id_perfil']."";?>&suc=<? echo "".$row_select_lotes['id_sucursal']."";?>', 'window','width=350,height=500'); return false">
<img src='imagenes/del.gif'></a>
<?
print"<input type=checkbox id='del_user' name='del_user[$i]' value='".$row_select_lotes['id_usuario']."' class=inputbox ></td>";
}
}
}






if(!$pagina){
	$inicio=0;
	$_SESSION['inicio']=$inicio;
	$pagina=1;
}else{
	$inicio=($pagina-1)*$tamano_pagina;
	$_SESSION['inicio']=$inicio;
}
$filas=1;
if($filas == 1){
	class llamado{
		var $menuObj;
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	mostrar_cabeza_trabajo($nombrepagina);
	$perfil=$_SESSION['perfil'];
	if($perfil==1){
		$add='';
		if(!empty($valor)){
			$add = " WHERE u.".$campo." LIKE '%".$valor."%' and u.id_perfil=5";
		}else{
			$add = " WHERE u.id_perfil=5";
		}
	}else{
		$add="WHERE u.id_sucursal='".$_GET['suc']."' and u.id_perfil=5";
		if(!empty($valor)){
			$add .= " AND u.".$campo." LIKE '%".$valor."%' and u.id_perfil=5";
		}
	}
	
	$sql_usuario="SELECT u.nombre, u.direccion, u.usuario, u.id_sucursal, u.estado, u.password, u.id_perfil, u.id_cliente FROM usuarios as u  $add";
	//echo $sql_usuario;
	class filas{
		var $rowsobj;
		function cantidad($sql_consulta){
			$this->userObj=new select_zonas();
			$cant=$this->userObj->get_filas($sql_consulta);
			return $cant;
		}
		function eliminar($perfil,$add){
			$tamano_pagina=$_SESSION['tam'];
			$inicio=$_SESSION['inicio'];
			$this->userObj=new select_lotes();
			$this->userObj->elimina_lotes($inicio,$tamano_pagina,$_GET['suc'],$perfil,$add);
		}
	}
	$filasobj=new filas();
	$cant=$filasobj->cantidad($sql_usuario);
	$total_paginas= ceil($cant/$tamano_pagina);


	if(isset($Eliminar)){
		//print_r($del_user);
		delete_user_menu($del_user,'usuarios','id_usuario','0');
		delete($del_user,'usuarios','id_usuario');
		
		foreach($del_user as $z ) {
			$cnx_mysql=new conexion();
			$cnx_mysql->conectarse();
			$cnx_mysql->modificar("delete from menu_contacto where id_usuario='".$z."'");
		}
		
		
	}
?>

<form action="" method="get" name="backup">
<CENTER>
<table width="250" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: BUSCAR CONTACTO ::..</div></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_td width="100">
<select name="campo" id="campo" class="inputbox">
<option value="nombre">NOMBRE</option>
<option value="usuario">USUARIO</option>
<option value="telefono">TELEFONO</option>
</select></td>
<td valign=top class=miTable_td width="150">
<input type="text" name="valor" id="valor" value="<?=$valor ?>" class="inputbox"></td>
</tr>
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1>
<input type="hidden" name="id_user" value="<? echo $_GET['id_user'];?>" class="inputbox">
<input type="hidden" name="suc" value="<? echo $_GET['suc'];?>" class="inputbox">
<input type="hidden" name="id_menu" value="<? echo $_GET['id_menu'];?>" class="inputbox">
<input type="submit" name="Buscar" value="Buscar" class="inputbox"></td>
</tr>
</table>
<table width="634" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1><div align="center">..:: Modificar Contactos ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1>Cantidad de registros encontrados <? print $cant;?></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="150">Nombre</td>
<td valign=top class=miTable_th1 width="150">Direccion</td>
<td valign=top class=miTable_th1>Usuario</td>
<td valign=top class=miTable_th1 nowrap>Sucursal</td>
<td valign=top class=miTable_th1 nowrap>Cliente</td>
<td valign=top class=miTable_th1>Estado</td>
<td valign=top class=miTable_th1>Tipo</td>
<td valign=top class=miTable_th1 colspan="2">Propiedad</td>
</tr>
<?
//$filasobj->eliminar($perfil,$add);
ConsultaContactos($inicio,$tamano_pagina,$_GET['suc'],$perfil,$add);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="9">
<div align="center">
  <?
  $id_user=$_GET['id_user'];
  $id_sucursal=$_GET['suc'];
  if($total_paginas>1){   echo "Paginas:";
  $start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
  if($start > 1 ){
  	print "&nbsp;<a href='eliminar_usuario.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor'> << </A>";
  }
  for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
  	if($pagina == $start+$i){
  		print "&nbsp;&nbsp;".($start+$i);
  	}else{
  		print "&nbsp;&nbsp;<a href='eliminar_usuario.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor'>". ($start+$i)." </A>";
  	}
  }
  if($start+$i < $total_paginas){
  	print "&nbsp;&nbsp;<a href='eliminar_usuario.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor'> >> </A>";
  }
  }
?>
</div></td>
</tr>
<td height="26" colspan="9" class="miTable_td" ><div align="right">
  <input type="submit" name="Eliminar" value="Eliminar" class="inputbox" onclick="return confirmDel();" />
</div></td>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="9">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV></td>
</tr>
</table>
	 <?
	 mostrar_pie();
}
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
	?>
	 <td>
	  <center>
	  <? pie_de_pagina();?>
	  </center>
	 </td>
	<?php
	echo"</tr>";
	echo"</tbody></table>";

	echo"</center>";
	echo"</body>";
	echo"</html>";

?>
</center>
</form>